* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background-color: #0f172a;
    color: white;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 20px 10%;

    background-color: #1e293b;

    position: sticky;
    top: 0;
}

.logo {
    font-size: 1.5rem;
    font-weight: bold;
}

.nav-links {
    display: flex;
    gap: 30px;
    list-style: none;
}

.nav-links a {
    text-decoration: none;
    color: white;
    transition: 0.3s;
}

.nav-links a:hover {
    color: #38bdf8;
}

.hero {
    min-height: 90vh;

    display: flex;
    justify-content: center;
    align-items: center;

    text-align: center;

    padding: 20px;
}

.hero-content {
    max-width: 700px;
}

.hero h1 {
    font-size: 4rem;
    margin-bottom: 15px;
}

.hero h2 {
    color: #38bdf8;
    margin-bottom: 20px;
}

.hero p {
    line-height: 1.7;
    color: #cbd5e1;
    margin-bottom: 30px;
}

.hero-buttons {
    display: flex;
    justify-content: center;
    gap: 15px;
}

.btn {
    text-decoration: none;

    background-color: #38bdf8;

    color: white;

    padding: 12px 24px;

    border-radius: 8px;

    transition: 0.3s;
}

.btn:hover {
    transform: translateY(-3px);
}

.secondary {
    background-color: #334155;
}

.section {
    padding: 80px 10%;
}

.section-title {
    text-align: center;
    margin-bottom: 40px;
    font-size: 2rem;
    color: #38bdf8;
}

.about-text {
    max-width: 800px;
    margin: auto;
    text-align: center;
    line-height: 1.8;
    color: #cbd5e1;
}

.skills-grid {
    display: grid;

    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));

    gap: 18px;
}

.skill-card {
    background: #1e293b;

    padding: 15px;

    border-radius: 10px;

    text-align: center;

    transition: 0.3s;
}

.skill-card:hover {
    transform: translateY(-5px);

    background: #334155;
}

.projects-grid {
    display: grid;

    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));

    gap: 25px;
}

.project-card {
    background: #1e293b;
    padding: 35px;
    border-radius: 15px;
    transition: 0.3s;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
}

.project-card:hover {
    transform: translateY(-8px);
}

.project-card img {

    width: 100%;

    height: 320px;

    object-fit: cover;

    border-radius: 10px;

    margin-bottom: 15px;

}

.project-card h3 {
    margin-bottom: 15px;
    color: #38bdf8;
}

.project-card p {
    color: #cbd5e1;

    line-height: 1.6;

    margin-bottom: 20px;
}

.project-links {
    display: flex;

    gap: 15px;
}

.project-links a {
    text-decoration: none;
    transition: 0.3s;
    color: #38bdf8;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
}

.project-links a:hover {
    color: #d7f3ff;
    transform: translateY(-3px);
    -webkit-transform: translateY(-3px);
    -moz-transform: translateY(-3px);
    -ms-transform: translateY(-3px);
    -o-transform: translateY(-3px);
}

.future-text {
    text-align: center;

    color: #cbd5e1;
}

.contact-links {
    display: flex;

    justify-content: center;

    gap: 25px;

    flex-wrap: wrap;
}

.contact-links a {
    text-decoration: none;

    color: #38bdf8;

    transition: 0.3s;
}

.contact-links a:hover {
    color: white;
}

@media (max-width:768px) {
    .navbar {
        flex-direction: column;
        gap: 15px;
    }

    .nav-links {
        flex-wrap: wrap;
        justify-content: center;
    }

    .hero h1 {
        font-size: 2.5rem;
    }

    .hero-buttons {
        flex-direction: column;
    }
}